DynamicJava Javadoc: Class SynchronizedStatement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.tree
Class SynchronizedStatement

    java.lang.Object
      |
      +--koala.dynamicjava.tree.Node
            |
            +--koala.dynamicjava.tree.Statement
                  |
                  +--koala.dynamicjava.tree.SynchronizedStatement

public class SynchronizedStatement
extends Statement

This class represents the synchronized statement nodes of the syntax tree

Field Summary
`static java.lang.String` | `BODY` The body property name
`static java.lang.String` | `LOCK` The lock property name

Fields inherited from class koala.dynamicjava.tree.Node
`BEGIN_COLUMN, BEGIN_LINE, END_COLUMN, END_LINE, FILENAME`

Constructor Summary
`SynchronizedStatement(Expression lock, Node body, java.lang.String fn, int bl, int bc, int el, int ec)` Creates a new while statement

Method Summary
`java.lang.Object` | `acceptVisitor(Visitor visitor)` Allows a visitor to traverse the tree
`Node` | `getBody()` Returns the body of this statement
`Expression` | `getLock()` Gets the lock object
`void` | `setBody(Node node)` Sets the body of this statement
`void` | `setLock(Expression e)` Sets the condition to evaluate

Methods inherited from class koala.dynamicjava.tree.Node
`addPropertyChangeListener, addPropertyChangeListener, firePropertyChange, firePropertyChange, firePropertyChange, getBeginColumn, getBeginLine, getEndColumn, getEndLine, getFilename, getProperties, getProperty, hasProperty, removePropertyChangeListener, removePropertyChangeListener, setBeginColumn, setBeginLine, setEndColumn, setEndLine, setFilename, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOCK

    public static final java.lang.String LOCK

  The lock property name

### BODY

    public static final java.lang.String BODY

  The body property name

Constructor Detail

### SynchronizedStatement

    public SynchronizedStatement(Expression lock,
                                 Node body,
                                 java.lang.String fn,
                                 int bl,
                                 int bc,
                                 int el,
                                 int ec)

  Creates a new while statement
  Parameters:
    `lock` - the lock object
    `body` - the body
    `fn` - the filename
    `bl` - the begin line
    `bc` - the begin column
    `el` - the end line
    `ec` - the end column
  Throws:
    `java.lang.IllegalArgumentException` - if lock is null or body is null

Method Detail

### getLock

    public Expression getLock()

  Gets the lock object

### setLock

    public void setLock(Expression e)

  Sets the condition to evaluate
  Throws:
    `java.lang.IllegalArgumentException` - if e is null

### getBody

    public Node getBody()

  Returns the body of this statement

### setBody

    public void setBody(Node node)

  Sets the body of this statement
  Throws:
    `java.lang.IllegalArgumentException` - if node is null

### acceptVisitor

    public java.lang.Object acceptVisitor(Visitor visitor)

  Allows a visitor to traverse the tree
  Overrides:
    `acceptVisitor` in class `Node`
  Parameters:
    `visitor` - the visitor to accept

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.